Home

# Class goog.ui.emoji.EmojiPaletteRenderer

Renders an emoji palette.

extends goog.ui.PaletteRenderer

Instance Method Summary
| `buildElementFromSpriteMetadata(?goog.dom.DomHelper dom, ?goog.ui.emoji.SpriteInfo spriteInfo, string displayUrl) ⇒ ?HTMLDivElement` Builds the inner contents of a palette item out of sprite metadata.
| `createCell((Node|null|string) node, ?goog.dom.DomHelper dom) ⇒ ?Element` Returns a table cell element (or equivalent) that wraps the given palette item (which must be a DOM node).
| `createPaletteItem(?goog.dom.DomHelper dom, string id, ?goog.ui.emoji.SpriteInfo spriteInfo, string displayUrl) ⇒ ?HTMLDivElement` Creates a palette item from the given emoji data.
| `getContainingItem(?goog.ui.Palette palette, ?Node node) ⇒ ?Node` Returns the item corresponding to the given node, or null if the node is neither a palette cell nor part of a palette item.
| `updateAnimatedPaletteItem(?Element item, ?Image animatedImg)` Modifies a palette item containing an animated emoji, in response to the animated emoji being successfully downloaded.

Static Method Summary
| `getCssClass() ⇒ string` Returns the CSS class to be applied to the root element of components rendered using this renderer.